#!/bin/sh
# ******************************************************************************************************************************
# * Licensed Materials - Property of IBM                                                                                       *
# * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
# *                                                                                                                            *
# *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
# ******************************************************************************************************************************

DB=$1

db2 UPDATE DB CFG FOR $DB USING  DFT_QUERYOPT 5
db2 UPDATE DB CFG FOR $DB USING  DFT_DEGREE 1
db2 UPDATE DB CFG FOR $DB USING  DFT_SQLMATHWARN NO
db2 UPDATE DB CFG FOR $DB USING  DFT_REFRESH_AGE 0
db2 UPDATE DB CFG FOR $DB USING  NUM_FREQVALUES 10
db2 UPDATE DB CFG FOR $DB USING  NUM_QUANTILES 20
db2 UPDATE DB CFG FOR $DB USING  DBHEAP 30000
db2 UPDATE DB CFG FOR $DB USING  CATALOGCACHE_SZ 1024
db2 UPDATE DB CFG FOR $DB USING  LOGBUFSZ 1024
db2 UPDATE DB CFG FOR $DB USING  UTIL_HEAP_SZ 5000
# db2 UPDATE DB CFG FOR $DB USING  BUFFPAGE 1000
db2 UPDATE DB CFG FOR $DB USING  LOCKLIST 10000
db2 UPDATE DB CFG FOR $DB USING  APPGROUP_MEM_SZ 30000
db2 UPDATE DB CFG FOR $DB USING  GROUPHEAP_RATIO 70
db2 UPDATE DB CFG FOR $DB USING  APP_CTL_HEAP_SZ 10000
db2 UPDATE DB CFG FOR $DB USING  SORTHEAP AUTOMATIC
db2 UPDATE DB CFG FOR $DB USING  STMTHEAP 10000
db2 UPDATE DB CFG FOR $DB USING  APPLHEAPSZ 10000
db2 UPDATE DB CFG FOR $DB USING  PCKCACHESZ AUTOMATIC
db2 UPDATE DB CFG FOR $DB USING  STAT_HEAP_SZ 4384
db2 UPDATE DB CFG FOR $DB USING  DLCHKTIME 10000
db2 UPDATE DB CFG FOR $DB USING  MAXLOCKS 20
db2 UPDATE DB CFG FOR $DB USING  LOCKTIMEOUT 180
db2 UPDATE DB CFG FOR $DB USING  CHNGPGS_THRESH 60
db2 UPDATE DB CFG FOR $DB USING  NUM_IOCLEANERS 24
db2 UPDATE DB CFG FOR $DB USING  NUM_IOSERVERS 16
db2 UPDATE DB CFG FOR $DB USING  MAXAPPLS 60
db2 UPDATE DB CFG FOR $DB USING  AVG_APPLS 1
db2 UPDATE DB CFG FOR $DB USING  MAXFILOP 256
db2 UPDATE DB CFG FOR $DB USING  LOGFILSIZ 5000
db2 UPDATE DB CFG FOR $DB USING  LOGPRIMARY 12
db2 UPDATE DB CFG FOR $DB USING  LOGSECOND 114
db2 UPDATE DB CFG FOR $DB USING  BLK_LOG_DSK_FUL NO
db2 UPDATE DB CFG FOR $DB USING  MAX_LOG 0
db2 UPDATE DB CFG FOR $DB USING  NUM_LOG_SPAN 0
db2 UPDATE DB CFG FOR $DB USING  MINCOMMIT 1
db2 UPDATE DB CFG FOR $DB USING  SOFTMAX 100
db2 UPDATE DB CFG FOR $DB USING  DATABASE_MEMORY 0

db2 terminate
db2 force applications all 
db2stop force
db2start


